import os
from pathlib import Path

import yaml

_CONFIG_FILE_NAME = f"{os.path.abspath(os.path.curdir)}/lambda_config.yml"

lambdaConfig = None
if Path(_CONFIG_FILE_NAME).exists():
    with open(Path(_CONFIG_FILE_NAME), "r") as f:
        lambdaConfig = yaml.safe_load(f)
