"""
Module contains request class for standalone lambda
"""

from typing import Any, final

from luna_lambda_tools.private.request import BaseStandaloneLambdaRequest


@final
class StandaloneLambdaRequest(BaseStandaloneLambdaRequest):
    """Standalone lambda request"""

    @property
    def json(self) -> int | float | list | dict[str, Any]:
        """Get json from request"""
        return super().json

    def getBody(self) -> bytes:
        """Get body from request"""
        return super().getBody()
